From 11386a060e41e4709e9a7e737ddf8a472e76b15e Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson@gmail.com>
Date: Sun, 23 Jun 2019 16:24:14 -0500
Subject: [PATCH] New package: berry-0.1.0

Closes #12630.
---
 srcpkgs/berry/patches/fix-cross.patch | 27 +++++++++++++++++++++++++++
 srcpkgs/berry/template                | 23 +++++++++++++++++++++++
 2 files changed, 50 insertions(+)
 create mode 100644 srcpkgs/berry/patches/fix-cross.patch
 create mode 100644 srcpkgs/berry/template

diff --git a/srcpkgs/berry/patches/fix-cross.patch b/srcpkgs/berry/patches/fix-cross.patch
new file mode 100644
index 00000000000..a19b36dbc0a
--- /dev/null
+++ b/srcpkgs/berry/patches/fix-cross.patch
@@ -0,0 +1,27 @@
+--- config.mk.orig
++++ config.mk
+@@ -39,5 +39,5 @@
+ 
+ CPPFLAGS += $(NAME_DEFINES) -DSRVR_$$HOSTNAME $(DEBUG_CPPFLAGS)
+ CFLAGS += -Wall -O3 $(DEBUG_CFLAGS)
+-CFLAGS += -Icore -Iinclude -I/usr/include/freetype2
++CFLAGS += -Icore -Iinclude -I$(XBPS_CROSS_BASE)/usr/include/freetype2
+ LDFLAGS += -lX11 -lXrandr -lXft
+--- Makefile.orig
++++ Makefile
+@@ -5,12 +5,12 @@
+ 			   -D__THIS_VERSION__=\"$(__THIS_VERSION__)\" \
+ 			   -D__CONFIG_NAME__=\"$(__CONFIG_NAME__)\"   \
+ 
+-PREFIX?=/usr/X11R6
++PREFIX?=/usr
+ CFLAGS?=-Os -pedantic -Wall $(NAME_DEFINES)
+ 
+ all:
+-	$(CC) $(CFLAGS) -I$(PREFIX)/include src/utils.c src/wm.c -L$(PREFIX)/lib -lX11 -lm -lXinerama -lXft -o berry
+-	$(CC) $(CFLAGS) -I$(PREFIX)/include src/client.c -L$(PREFIX)/lib -lX11 -o berryc
++	$(CC) $(CFLAGS) -I$(XBPS_CROSS_BASE)/$(PREFIX)/include src/utils.c src/wm.c -L$(XBPS_CROSS_BASE)/$(PREFIX)/lib -lX11 -lm -lXinerama -lXft -o berry
++	$(CC) $(CFLAGS) -I$(XBPS_CROSS_BASE)/$(PREFIX)/include src/client.c -L$(XBPS_CROSS_BASE)/$(PREFIX)/lib -lX11 -o berryc
+ 
+ install:
+ 	mkdir -p "$(DESTDIR)$(PREFIX)/bin"
diff --git a/srcpkgs/berry/template b/srcpkgs/berry/template
new file mode 100644
index 00000000000..49cdc814ef8
--- /dev/null
+++ b/srcpkgs/berry/template
@@ -0,0 +1,23 @@
+# Template file for 'berry'
+pkgname=berry
+version=0.1.0
+revision=1
+build_style=gnu-makefile
+make_use_env=yes
+makedepends="libX11-devel libXinerama-devel libXft-devel freetype-devel"
+short_desc="Healthy, bite-sized window manager"
+maintainer="Andrew Benson <abenson@gmail.com>"
+license="MIT"
+homepage="https://github.com/JLErvin/berry"
+distfiles="https://github.com/JLErvin/berry/archive/${version}.tar.gz"
+checksum=62a9e279c2029f52fb80acee3169c02de3cda8e53cf1243e6deeeca7437d1efb
+
+do_install() {
+	vbin berry
+	vbin berryc
+	vman man/berry.1
+	vman man/berryc.1
+	vsconf example/autostart
+	vsconf example/sxhkdrc
+	vlicense LICENSE
+}
